import Index from '@/views/Index'
import TitleTemplateCallBack from '@/views/titleTemplateCallBack'
import Vue from 'vue'
import VueRouter from 'vue-router'

Vue.use(VueRouter)

const routes = [
  {
    path: '/',
    name: 'Index',
    component: Index
  },
  {
    path: '/titleTemplateCallBack',
    name: 'TitleTemplateCallBack',
    component: TitleTemplateCallBack
  }
]

const router = new VueRouter({
  //mode: 'history',
  base: process.env.BASE_URL,
  routes
})

export default router
